//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2012.12.05 at 05:03:27 PM CET 
//


package net.ihe.gazelle.app.validationservice.adapter.templates;

import javax.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each
 * Java content interface and Java element interface
 * generated in the generated package.
 * <p>An ObjectFactory allows you to programatically
 * construct new instances of the Java representation
 * for XML content. The Java representation of XML
 * content can consist of schema derived interfaces
 * and classes representing the binding of schema
 * type definitions, element declarations and model
 * groups.  Factory methods for each of these are
 * provided in this class.
 */
@XmlRegistry
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: generated.
     */
    public ObjectFactory() {
        // new factory instance
    }

    /**
     * Create an instance of {@link TemplateId }.
     *
     * @return new TemplateId
     */
    public TemplateId createTemplateId() {
        return new TemplateId();
    }

    /**
     * Create an instance of {@link Template }.
     *
     * @return new template
     */
    public Template createTemplate() {
        return new Template();
    }

}
